commit:     58840ce1bb38086e6d975a4ecadf3c0d2230a188
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 15 17:10:24 2018 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sun Apr 15 17:16:21 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58840ce1

x11-libs/qscintilla: version bump

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 x11-libs/qscintilla/Manifest                 |  1 +
 x11-libs/qscintilla/qscintilla-2.10.4.ebuild | 77 ++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/x11-libs/qscintilla/Manifest b/x11-libs/qscintilla/Manifest
index feab45d9ae3..b8473672244 100644
--- a/x11-libs/qscintilla/Manifest
+++ b/x11-libs/qscintilla/Manifest
@@ -1,3 +1,4 @@
 DIST QScintilla_gpl-2.10.1.tar.gz 2663446 BLAKE2B 
720ce990b4e3dd65d47cd26b473bffc07240d76b2c10d393cba41331c6f160472d87b9b22985fd45b5b8064d5358b3b25f0decfe8759542a9c987381249bca42
 SHA512 
ea9b95ca371a8af9262493ab59ecaef77e1697ba21d1d594aab39e836917884fd829aa4f6c4e72cce60b0d3f40eac654157cc507d027945f0034881855123ccc
 DIST QScintilla_gpl-2.10.2.tar.gz 2665138 BLAKE2B 
1c6349ea717997681e678cdfa6cc590a6a1cfbe652f2dd52d57fefff71229251c46cd4554b546d2e272deb7c3f970c44f657966ad08e45279813215a775c637d
 SHA512 
755f486d62275acb5908262c4a50ad31dd9d8fca0501eb1eeec1aa2181872f8d16179b42f4213b207fd6b46fd8a72d25af7ce6c5cc10eabb363a92c0600ca972
 DIST QScintilla_gpl-2.10.3.tar.gz 2721287 BLAKE2B 
cc85eea17e563ae5f4a130d26ca88bec3e1a6cbff7bc0af096c63789384d03149105641d6324f53b37a2bd8ab4681a285ccb76e6063a06e5db30d070d3fd8219
 SHA512 
a1b9d6869797ec074e4e0727164804779792fb77b2230aae80e6d6b5fb3a3ff9d84e17d775d18ab74c97b78bac454511fd2cb49be1fa36f71d9097abf88045b6
+DIST QScintilla_gpl-2.10.4.tar.gz 2721322 BLAKE2B 
df50dd0a34db96dd57147ddc399d4a30751b1bb4922dc1b8b3c3c1989e810937dc8345f92128e8a606b1edc04fde4b930a424ab8344818c9899c8fe496793a77
 SHA512 
dee6684f68173784d098931554c839a30e129b89f980cd9704f818c44eb7023199bd3682e4b342091fa3e0ce577ec576d34046477bdd1d7fc58ca5dd2ba947a3

diff --git a/x11-libs/qscintilla/qscintilla-2.10.4.ebuild 
b/x11-libs/qscintilla/qscintilla-2.10.4.ebuild
new file mode 100644
index 00000000000..1b74d6e2214
--- /dev/null
+++ b/x11-libs/qscintilla/qscintilla-2.10.4.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic qmake-utils
+
+MY_P=QScintilla_gpl-${PV/_pre/.dev}
+
+DESCRIPTION="A Qt port of Neil Hodgson's Scintilla C++ editor class"
+HOMEPAGE="https://www.riverbankcomputing.com/software/qscintilla/intro";
+SRC_URI="mirror://sourceforge/pyqt/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0/13"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="designer doc"
+
+DEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtprintsupport:5
+       dev-qt/qtwidgets:5
+       designer? ( dev-qt/designer:5 )
+"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+       default
+
+       # Sub-slot sanity check
+       local subslot=${SLOT#*/}
+       local version=$(sed -nre 's:.*VERSION\s*=\s*([0-9\.]+):\1:p' 
"${S}"/Qt4Qt5/qscintilla.pro)
+       local major=${version%%.*}
+       if [[ ${subslot} != ${major} ]]; then
+               eerror
+               eerror "Ebuild sub-slot (${subslot}) does not match QScintilla 
major version (${major})"
+               eerror "Please update SLOT variable as follows:"
+               eerror "    SLOT=\"${SLOT%%/*}/${major}\""
+               eerror
+               die "sub-slot sanity check failed"
+       fi
+}
+
+qsci_run_in() {
+       pushd "$1" >/dev/null || die
+       shift || die
+       "$@" || die
+       popd >/dev/null || die
+}
+
+src_configure() {
+       if use designer; then
+               # prevent building against system version (bug 466120)
+               append-cxxflags -I../Qt4Qt5
+               append-ldflags -L../Qt4Qt5
+       fi
+
+       qsci_run_in Qt4Qt5 eqmake5
+       use designer && qsci_run_in designer-Qt4Qt5 eqmake5
+}
+
+src_compile() {
+       qsci_run_in Qt4Qt5 emake
+       use designer && qsci_run_in designer-Qt4Qt5 emake
+}
+
+src_install() {
+       qsci_run_in Qt4Qt5 emake INSTALL_ROOT="${D}" install
+       use designer && qsci_run_in designer-Qt4Qt5 emake INSTALL_ROOT="${D}" 
install
+
+       DOCS=( ChangeLog NEWS )
+       use doc && HTML_DOCS=( doc/html-Qt4Qt5/. )
+       einstalldocs
+}

Reply via email to